Subject: Re: New API for non cache coherent ppc cpu's

From: Roman Zippel <[email-masked]>
Date: Wed, 21 Nov 2001 21:20:24 +0100

Hi,

Armin Kuster wrote:

> mapping = pci_map_page(pdev,
>                                virt_to_page(cmd->request_buffer),

This is the problem, virt_to_page doesn't work kmap'ed highmem pages.

> > - I think it was never defined, what should be done if offset/size isn't
> > cache line aligned. That's especially a problem in the invalidate only
> > case. I'd prefer to make this illegal, as it's mostly not a problem for
> > drivers.
>
> wouldn't it also be a problem for consistent_sync?  we don't check for
> offset/size are cache line aligned.

Yes, same problem.

bye, Roman

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/